curl --request POST \
--url https://api.getsly.ai/v1/v1/mpp/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_url": "<string>",
"deposit_amount": 123,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC"
}
'{
"data": {
"id": "<string>",
"service_url": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deposit_amount": "<string>",
"currency": "<string>",
"budget_remaining": "<string>",
"budget_used": "<string>",
"status": "open",
"voucher_key": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}Pre-deposit a budget for streaming micropayments to a service. Sign vouchers via /sessions/:id/voucher for each call. Close via /sessions/:id/close.
curl --request POST \
--url https://api.getsly.ai/v1/v1/mpp/sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_url": "<string>",
"deposit_amount": 123,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC"
}
'{
"data": {
"id": "<string>",
"service_url": "<string>",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deposit_amount": "<string>",
"currency": "<string>",
"budget_remaining": "<string>",
"budget_used": "<string>",
"status": "open",
"voucher_key": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Session opened
Show child attributes